function setClipVis(thisClip, v)
{
   thisClip._visible = v;
}
function setClipProps(thisClip, w, h, x, y)
{
   thisClip._width = w;
   thisClip._height = h;
   thisClip._x = x;
   thisClip._y = y;
}
function setClipFrame(cName, cState, cNum, cTotal)
{
   var myName;
   if(cTotal > -1)
   {
      do
      {
         myName = eval(cName + cNum);
         myName.gotoAndPlay(cState);
         cNum++;
      }
      while(cNum <= cTotal);
      
   }
   else
   {
      if(cNum > -1)
      {
         cName = eval(cName + cNum);
      }
      else
      {
         cName = eval(cName);
      }
      cName.gotoAndPlay(cState);
   }
}
function searchArray(theArray, theValue)
{
   var result = -1;
   var i = 0;
   var temp;
   do
   {
      temp = theArray[i];
      if(temp == theValue)
      {
         result = i;
         break;
      }
      i++;
   }
   while(i < theArray.length);
   
   return result;
}
function listToArray(inList, outArray)
{
   var n = 0;
   var arrayCount;
   inList = inList.split(",");
   arrayCount = inList.shift();
   do
   {
      outArray[n] = inList.shift();
      n++;
   }
   while(n < arrayCount);
   
}
function roundDown(n)
{
   temp = Math.round(n);
   if(temp <= n)
   {
      return temp;
   }
   return temp - 1;
}
function roundUp(n)
{
   temp = Math.round(n);
   if(temp < n)
   {
      return temp + 1;
   }
   return temp;
}
function colorIt(clipName, colorValue)
{
   theColor = new Color(clipName);
   theColor.setRGB(colorValue);
}
function convertRGB(rgbVals)
{
   rgbVals = rgbVals.split(",");
   r = Number(rgbVals[0]);
   g = Number(rgbVals[1]);
   b = Number(rgbVals[2]);
   rgbVals = b + g * 256 + r * 65536;
   return rgbVals;
}
function checkString(theString, theChars, theDelim)
{
   theChars = theChars.split(theDelim);
   var c;
   var x;
   c = 0;
   while(c < theString.length)
   {
      thisChar = theString.charAt(c);
      x = 0;
      while(x < theChars.length)
      {
         if(thisChar == theChars[x])
         {
            return true;
         }
         x++;
      }
      c++;
   }
   return false;
}
function moveOn()
{
   if(flashIsReady)
   {
      gotoAndPlay(2);
   }
   else
   {
      trace("not ready yet!");
   }
}
function testButton()
{
   updatePage(234,123,643);
}
function testPM()
{
   gotoAndPlay(10);
}
function initAll()
{
   switch(appLocation)
   {
      case "openNew":
         browserNext._visible = 1;
         browserBack._visible = 1;
         browserOpen._visible = 1;
         browserCancel._visible = 1;
         browserEdit._visible = 1;
         browserRename._visible = 0;
         browserDelete._visible = 0;
         browserOpenNew.myState = "selected";
         browserOpenNew.gotoAndPlay("selected");
         browserOpenExisting.myState = "enabled";
         browserOpenExisting.gotoAndPlay("enabled");
         browserOpenSample.myState = "enabled";
         browserOpenSample.gotoAndPlay("enabled");
         break;
      case "editImage":
         browserNext._visible = 0;
         browserBack._visible = 0;
         browserOpen._visible = 1;
         browserCancel._visible = 1;
         browserEdit._visible = 0;
         browserRename._visible = 0;
         browserDelete._visible = 0;
         croping = false;
         cropState();
         break;
      case "openExisting":
         browserNext._visible = 1;
         browserBack._visible = 1;
         browserOpen._visible = 1;
         browserCancel._visible = 1;
         browserEdit._visible = 0;
         browserRename._visible = 1;
         browserDelete._visible = 1;
         browserOpenNew.myState = "enabled";
         browserOpenNew.gotoAndPlay("enabled");
         browserOpenExisting.myState = "selected";
         browserOpenExisting.gotoAndPlay("selected");
         browserOpenSample.myState = "enabled";
         browserOpenSample.gotoAndPlay("enabled");
         break;
      case "openSample":
         browserNext._visible = 1;
         browserBack._visible = 1;
         browserOpen._visible = 1;
         browserCancel._visible = 1;
         browserEdit._visible = 0;
         browserRename._visible = 0;
         browserDelete._visible = 0;
         browserOpenNew.myState = "enabled";
         browserOpenNew.gotoAndPlay("enabled");
         browserOpenExisting.myState = "enabled";
         browserOpenExisting.gotoAndPlay("enabled");
         browserOpenSample.myState = "selected";
         browserOpenSample.gotoAndPlay("selected");
         break;
      case "projectManager":
         browserNext._visible = 1;
         browserBack._visible = 1;
         browserOpen._visible = 1;
         browserCancel._visible = 1;
         browserEdit._visible = 0;
         browserRename._visible = 1;
         browserDelete._visible = 1;
   }
}
function sendFS(fsFunc, fsArgs)
{
   fscommand(fsFunc,fsArgs);
   if(testing)
   {
      trace(fsFunc + "," + fsArgs);
   }
}
function resetButtons()
{
   x = 0;
   while(x < buttonList.length)
   {
      myRef = eval(buttonList[x]);
      myRef.gotoAndPlay(myRef.myState);
      x++;
   }
}
function setButtonStates(theArgs)
{
   do
   {
      myRef = theArgs.shift();
      newState = theArgs.shift();
      myRef = eval(myRef);
      myRef.myState = newState;
      myRef.gotoAndPlay(myRef.myState);
   }
   while(theArgs.length != 0);
   
}
function buttonCall(thisButton)
{
   switch(thisButton._name)
   {
      case "browserOpenNew":
         sendFS(thisButton._name + "_Click",0);
         if(testing)
         {
            gotoAndPlay(2);
         }
         break;
      case "browserOpenExisting":
         sendFS(thisButton._name + "_Click",0);
         if(testing)
         {
            gotoAndPlay(6);
         }
         break;
      case "browserOpenSample":
         sendFS(thisButton._name + "_Click",0);
         if(testing)
         {
            gotoAndPlay(8);
         }
         break;
      case "browserOpen":
         sendFS(thisButton._name + "_Click",0);
         break;
      case "browserCancel":
         sendFS(thisButton._name + "_Click",0);
         break;
      case "browserEditOpen":
         sendFS(thisButton._name + "_Click",0);
         break;
      case "browserEditCancel":
         sendFS(thisButton._name + "_Click",0);
         if(testing)
         {
            gotoAndPlay(2);
         }
         break;
      case "browserEdit":
         sendFS(thisButton._name + "_Click",0);
         if(testing)
         {
            gotoAndPlay(4);
         }
         break;
      case "browserCrop":
         if(croping)
         {
            sendFS("browserCrop_Click",0);
         }
         else
         {
            sendFS("browserCancelCrop_Click",0);
         }
         cropState();
         break;
      case "browserDoCrop":
         sendFS(thisButton._name + "_Click",0);
         croping = false;
         cropState();
         break;
      case "browserRotate":
         sendFS(thisButton._name + "_Click",0);
         break;
      case "browserAdjustColor":
         sendFS(thisButton._name + "_Click",0);
         break;
      case "browserRevert":
         sendFS(thisButton._name + "_Click",0);
         break;
      case "browserRename":
         sendFS(thisButton._name + "_Click",0);
         break;
      case "browserDelete":
         sendFS(thisButton._name + "_Click",0);
         break;
      case "browserBack":
         sendFS(thisButton._name + "_Click",0);
         break;
      case "browserNext":
         sendFS(thisButton._name + "_Click",0);
         break;
      case "browserDateSort":
         sendFS(thisButton._name + "_Click",0);
         break;
      case "browserNameSort":
         sendFS(thisButton._name + "_Click",0);
         break;
      default:
         msg = "FLASH ERROR: Unrecognized button name? " + thisButton._name + ",0";
         sendFS("LogError",msg);
   }
}
function cropState()
{
   if(croping)
   {
      browserCrop.gotoAndPlay("selected");
      browserDoCrop.gotoAndPlay("enabled");
      browserRotate.gotoAndPlay("disabled");
      browserAdjustColor.gotoAndPlay("disabled");
      browserRevert.gotoAndPlay("disabled");
      browserEditOpen.gotoAndPlay("disabled");
   }
   else
   {
      browserCrop.gotoAndPlay("enabled");
      browserDoCrop.gotoAndPlay("disabled");
      browserRotate.gotoAndPlay("enabled");
      browserAdjustColor.gotoAndPlay("enabled");
      browserRevert.gotoAndPlay("enabled");
      browserEditOpen.gotoAndPlay("enabled");
   }
}
function updatePage(pageArray)
{
   totalPhotos = pageArray[0];
   showingPhotos = "Page " + pageArray[1] + " of " + pageArray[2];
}
function showTooltip(tipObj)
{
   thisTip = eval(tipObj._name + "_tip");
   tooltip0.showTT(thisTip[0],thisTip[1]);
}
function showTooltipByName(tipName)
{
   thisTip = eval(tipName);
   tooltip0.showTT(thisTip[0],thisTip[1]);
}
function hideTooltip()
{
   tooltip0.hideTT();
}
flashIsReady = false;
fscommand("showmenu",false);
fscommand("allowscale",false);
testing = true;
myData_cmd = "";
myData_args = "";
myData_delim = "";
totalPhotos = "";
showingPhotos = "";
appWidth = 640;
appHeight = 500;
ttDelayTime = 18;
browserOpenNew_tip = ["Start a new project from disk.",4];
browserOpenExisting_tip = ["View or modify an existing project.",4];
browserOpenSample_tip = ["Open a sample project.",4];
browserBack_tip = ["Previous Page",1];
browserNext_tip = ["Next Page",0];
browserDateSort_tip = ["Sort by Date",1];
browserNameSort_tip = ["Sort by Name",1];
browserEdit_tip = ["Edit photo before starting a project.",3];
browserEditOpen_tip = ["Save and open the edited photo.",3];
browserEditCancel_tip = ["Cancel all edits and return to the previous screen.",0];
browserCrop_tip = ["Set/cancel crop selection.",1];
browserDoCrop_tip = ["Crop image to current selection.",1];
browserRotate_tip = ["Each click rotates the image 1/4 turn to the right.",1];
browserAdjustColor_tip = ["Adjust brightness, saturation, and color balance.",1];
browserRevert_tip = ["Reset to the original photo.",1];
browserRename_tip = ["Rename project.",3];
browserDelete_tip = ["Delete project.",3];
browserOpen_tip = ["Open currently selected photo",3];
browserCancel_tip = ["Cancel opening a photo.",3];
btHome_tip = ["Return to the home screen.",1];
btTutorial_tip = ["Learn how to use Voice of Color - Visions at a Glance.",1];
btPaintScreen_tip = ["Open an image to paint OR return to the image you were painting.",1];
btProjectManager_tip = ["Manage (Open, Delete, Rename) the projects you have saved.",1];
btUniversity_tip = ["Visit our Paint University web page.",1];
btRecommendations_tip = ["Find the right products for your job.",1];
btExit_tip = ["Exit this application.",1];
PaletteDropDown_tip = ["View available color palettes.",1];
FullPalette_tip = ["View all colors in the selected palette if it\'s more than 1 page.",1];
ColorSearch_tip = ["Search all palettes by color name or number.",1];
paletteNextPage_tip = ["View the next page of this palette.",1];
palettePrevPage_tip = ["View the previous page of this palette.",0];
FullPaletteOK_tip = ["Apply this color to the active painted area and close this window.",1];
FullPaletteCancel_tip = ["Close this window without changing the color of the active painted area.",1];
AddFavorite_tip = ["Add this color to your Favorites Palette.",1];
RemoveFavorite_tip = ["Remove the currently selected color from your Favorites Palette.",1];
ClearLayer_tip = ["<B>Clear</B> all paint from this surface.",1];
ViewLayer_tip = ["<B>Show/hide</B> this surface.",1];
ActivateLayer_tip = ["Click to <B>edit this surface</B>.",1];
PaintLayer_tip = ["Click to <B>create a new surface to paint</B>.",1];
btOpen_tip = ["<B>Open</B> (Ctrl+O).",4];
btSave_tip = ["<B>Save</B> (Ctrl+S).",4];
btPrint_tip = ["<B>Print</B> (Ctrl+P).",4];
btUndo_tip = ["<B>Undo</B> your last action.",4];
btZoomIn_tip = ["<B>Zoom in</B> to the image.",4];
btZoomOut_tip = ["<B>Zoom out</B>of the image.",4];
btHand_tip = ["<B>Move</B> the image around.",4];
btXTool_tip = ["Apply paint (or erase) by <B>drawing an X from corner to corner</B>.",4];
btOutline_tip = ["Apply paint (or erase) by <B>connecting points around the edges</B>.",4];
Selection_tip = ["Choose whether to <B>paint or erase</B> with the selection tools.",4];
btPaint_tip = ["<B>Paint</B> part of this surface.",4];
btFill_tip = ["<B>Fill an area</B> on this surface. Uses <I>color on the original image</I> to determine where to fill.",4];
btErase_tip = ["<B>Erase</B> part of this surface.",4];
BrushSize_tip = ["Sets the <B>brush size</B>.",4];
EraserSize_tip = ["Sets the <B>eraser size</B>.",4];
FillDistance_tip = ["Determines <B>how far outwards</B> to fill based on the <I>color on the original image</I> you selected.",4];
ProtectAreas_tip = ["When selected, <B>protects other surfaces</B> from getting painted over.",4];
ViewOriginal_tip = ["View the <B>original</B> image",4];
ViewPainted_tip = ["View the <B>painted</B> image",4];
buttonList = new Array("browserOpenNew","browserOpenEsisting","browserOpenSample","browserOpen","browserCancel","browserEdit","browserRename","browserDelete");
browserOpenNew.myState = "enabled";
browserOpenExisting.myState = "enabled";
browserOpenSample.myState = "enabled";
browserOpen.myState = "enabled";
browserCancel.myState = "enabled";
browserEdit.myState = "enabled";
browserRename.myState = "enabled";
browserDelete.myState = "enabled";
duplicateMovieClip("toolTip","toolTip0",116384);
flashIsReady = true;
stop();
